### Method

# GObject Object ref_sink

since: 2.10

#### Declaration [src]

    GObject*
    g_object_ref_sink (
      GObject* object
    )

#### Description [src]

Increase the reference count of `object`, and possibly remove the [floating][floating-ref] reference, if `object` has a floating reference.

In other words, if the object is floating, then this call “assumes ownership” of the floating reference, converting it to a normal reference by clearing the floating flag while leaving the reference count unchanged. If the object is not floating, then this call adds a new normal reference increasing the reference count by one.

Since GLib 2.56, the type of `object` will be propagated to the return type under the same conditions as for g_object_ref().

Available since: 2.10

#### Return value

Type: `GObject`

`object`.

The returned data is owned by the instance.